package com.xweld.services.cache.infinispan.redhat;

import org.infinispan.Cache;
import org.infinispan.tree.TreeCache;

/**
 * The Class TestCacheProxy.
 */
public class TestCacheProxy
{

  /** The map cache. */
  private Cache<Object, Object>     mapCache;

  /** The tree cache. */
  private TreeCache<Object, Object> treeCache;

  /**
   * Instantiates a new test cache proxy.
   * 
   * @param mapCache
   *          the map cache
   * @param treeCache
   *          the tree cache
   */
  public TestCacheProxy(Cache<Object, Object> mapCache,
      TreeCache<Object, Object> treeCache)
  {
    super();
    this.mapCache = mapCache;
    this.treeCache = treeCache;
  }

  /**
   * Gets the map cache.
   * 
   * @return the map cache
   */
  public Cache<Object, Object> getMapCache()
  {
    return mapCache;
  }

  /**
   * Sets the map cache.
   * 
   * @param mapCache
   *          the map cache
   */
  public void setMapCache(Cache<Object, Object> mapCache)
  {
    this.mapCache = mapCache;
  }

  /**
   * Gets the tree cache.
   * 
   * @return the tree cache
   */
  public TreeCache<Object, Object> getTreeCache()
  {
    return treeCache;
  }

  /**
   * Sets the tree cache.
   * 
   * @param treeCache
   *          the tree cache
   */
  public void setTreeCache(TreeCache<Object, Object> treeCache)
  {
    this.treeCache = treeCache;
  }

}
